Subject: bug#835: 23.0.60; Quick calc is quietly disabled in view-mode

From: martin rudalics <[email-masked]>
Date: Tue, 02 Sep 2008 00:00:03 +0200

> Yeah, it's somewhat opaque code.  The way the ASCII table is set up is
 > that character 1 is the character ^A, character 2 is the character ^B,
 > and so forth, until character 65 is the unmodified character A.  Hence
 > (char-to-string (- ?n ?a -1)) gives 14 == ^N.  (Also, ASCII control
 > characters are case insensitive: there's no separate ^n character.)

This makes sense iff the designer wanted to correct an accidentally held
down control key behavior (the code obviously never lived up to that due
to the regexp bug).

 > I suppose this means we have to find a separate fix for the original
 > bug...

... well, nothing hinders us assigning n, C-n and N to the same key.
But I'd like to hear Jay's comments first.

martin